Summary: Simple setup files
Name: setup
Version: 1.9.3
Release: 1
Group: Base
Copyright: public domain
Packager: Hao Li <hli@wag.caltech.edu>
Source: setup-%{version}.tar.gz
BuildArch: noarch
Buildroot: /var/tmp/%{name}-root

%description
This package contains a number of very important configuration
and setup files, including the passwd, group, profile files, etc.


%prep
%setup -q


%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log
mv etc   $RPM_BUILD_ROOT
touch    $RPM_BUILD_ROOT/var/log/lastlog


%files
%defattr(-,root,root)
%verify(not md5 size mtime) %config(noreplace) /var/log/lastlog
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%verify(not md5 size mtime) %config(noreplace) /etc/shells
%config /etc/csh.cshrc
%config /etc/host.conf
%config /etc/hosts.allow
%config /etc/hosts.deny
%config /etc/motd
%config /etc/printcap
%config /etc/profile
%dir    /etc/profile.d
%config /etc/protocols
%config %attr(600,root,root) /etc/securetty
%config /etc/services


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 15 1999 Hao Li <hli@wag.caltech.edu>
- setup-1.9.3-1. Changes from Red Hat 5.2 stock setup-1.9.2-1:
  o /etc/exports removed from setup.rpm and moved to nfs-serfer.rpm;
  o /etc/profile modified for bash-2.03 and to avoid PATH redundency;
  o /etc/services now defines port 22/tcp for ssh.
  o /etc/shell added.
  o tarball renamed from setup to setup-1.9.3.
- /etc/csh.cshrc could also be modified to avoid PATH redundency to be
  consistent with /etc/profile if I ever want to switch back to tcsh.
- whether to add httpd to /etc/passwd and /etc/group is undecided.
